{% extends 'base.html' %}
<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!------ Include the above in your HEAD tag ---------->
<!-- {% load static %} -->

{% block additionalHeader %}
	<title>Create Makan</title>

	<!--Bootsrap 4 CDN-->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    
    <!--Fontawesome CDN-->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">

	<!--Custom styles-->
	<link rel="stylesheet" type="text/css" href="styles.css">
{% endblock %}

{% block content %}
	{% include "base.html" %}

	{% if messages %}
	<ul class="messages">
    	{% for message in messages %}
    	<li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
    	{% endfor %}
	</ul>
	{% endif %}

	<h3 class="text-center">Update Tokoh</h3>
	<br>
	<form action="" method="POST">
		{% csrf_token %}
        <div class="form-group">
			<label for="nama">Nama</label>
			<input readonly="readonly" class="form-control-plaintext" type="text" id="nama" name="nama" value="{{ nama }}" required>
		</div>

		<div class="form-group">
			<label for="id_rambut">ID Rambut</label>
			<select class="form-control" id="id_rambut" name="id_rambut" onchange=changeidrambut() required>
				<option value="{{ row.id_koleksi }}" selected>{{ row.id_koleksi }}</option>
				{% for row in rambut %}
					<option value="{{ row.id_koleksi }}">{{ row.id_koleksi }}</option>
				{% endfor %}
			</select>
			<div class="invalid-feedback">ID Rambut masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="id_mata">ID Mata</label>
			<select class="form-control" id="id_mata" name="id_mata" onchange=changeidmata() required>
				<option value="{{ row.id_koleksi }}" selected>{{ row.id_koleksi }}</option>
				{% for row in mata %}
					<option value="{{ row.id_koleksi }}">{{ row.id_koleksi }}</option>
				{% endfor %}
			</select>
			<div class="invalid-feedback">ID Mata masih kosong!</div>
		</div>

        <div class="form-group">
			<label for="id_rumah">ID Rumah</label>
			<select class="form-control" id="id_rumah" name="id_rumah" onchange=changeidrumah() required>
				<option value="{{ row.id_koleksi }}" selected>{{ row.id_koleksi }}</option>
				{% for row in rumah %}
					<option value="{{ row.id_koleksi }}">{{ row.id_koleksi }}</option>
				{% endfor %}
			</select>
			<div class="invalid-feedback">ID Rumah masih kosong!</div>
		</div>
		<input class="btn btn-primary" type="submit" value="Simpan">
	</form>
{% endblock %}
